Package org.bukkit.block.data

# Interface Powerable

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `Bell`, `Comparator`, `Door`, `Gate`, `Lectern`, `LightningRod`, `NoteBlock`, `Observer`, `RedstoneRail`, `Repeater`, `Switch`, `TrapDoor`, `Tripwire`, `TripwireHook`

public interface Powerable extends BlockData
'powered' indicates whether this block is in the powered state or not, i.e. receiving a redstone current of power > 0.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPowered()`
Gets the value of the 'powered' property.
`void`
`setPowered(boolean powered)`
Sets the value of the 'powered' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### isPowered

boolean isPowered()
Gets the value of the 'powered' property.

Returns:
  the 'powered' value

### setPowered

void setPowered(boolean powered)
Sets the value of the 'powered' property.

Parameters:
  `powered` - the new 'powered' value